
# F77 RTP demo Makefile
#
# this makefile builds the fortran demo programs ftest1.f and
# ftest2.f, and links them with HDF 4 and the RTP libraries

# -------------
# HDF libraries
# -------------

# set this to point to the HDF location
# HDF_INSTALL = /salsify/users/motteler/HDF4.1r4/NewHDF
HDF_INSTALL = /home/motteler/asl/hdf/HDF4.1r4/NewHDF

# HDF lib, relative to install path, above
HDFLIB   = -L$(HDF_INSTALL)/lib -ldf -ljpeg -lz

# -----------
# RTP library
# -----------

# set this to point to the RTP library
# RTPLIB = -L/salsify/users/motteler/rtp -lrtp
RTPLIB = -L/home/motteler/asl/hdf/rtp -lrtp

# -----------------
# general F77 flags
# -----------------

# -64 for 64-bit IRIX
# FFLAGS  = -g -64
FFLAGS	= -g

# -------------
# Fortran tests
# -------------

all: ftest1 ftest2

ftest1: ftest1.o
	f77 $(FFLAGS) -o ftest1 ftest1.o $(RTPLIB) $(HDFLIB) 

ftest1.o: ftest1.f rtpdefs.f
	f77 $(FFLAGS) -c ftest1.f

ftest2: ftest2.o
	f77 $(FFLAGS) -o ftest2 ftest2.o $(RTPLIB) $(HDFLIB) 

ftest2.o: ftest2.f rtpdefs.f
	f77 $(FFLAGS) -c ftest2.f

clean:
	rm ftest?.o ftest? 2> /dev/null || true


