
/* dump the RTP header structure */

#include <stdio.h>
#include "rtp.h"

void dump_hstr(struct rtp_head *head) {
  int i, j;

  fprintf(stderr, "------ Header Fields ---------\n");

  fprintf(stderr, "ptype   = %d\n",  head->ptype);
  fprintf(stderr, "pfields = %d\n",  head->pfields);
  fprintf(stderr, "pmin    = %g\n",  head->pmin);
  fprintf(stderr, "pmax    = %g\n",  head->pmax);

  fprintf(stderr, "ngas    = %d\n",  head->ngas);

  fprintf(stderr, "glist  = ");
  for (j=0; j < head->ngas; j++) 
    fprintf(stderr, " %d", head->glist[j]);
  fprintf(stderr, "\n");

  fprintf(stderr, "gunit = ");
  for (j=0; j < head->ngas; j++) 
    fprintf(stderr, " %d", head->gunit[j]);
  fprintf(stderr, "\n");

  /* radiance fields */
  fprintf(stderr, "nchan  = %d\n", head->nchan);

  fprintf(stderr, "vchan  =");
  for (j=0; j < head->nchan; j++) 
    fprintf(stderr, " %g", head->vchan[j]);
  fprintf(stderr, "\n");

  fprintf(stderr, "ichan  =");
  for (j=0; j < head->nchan; j++) 
    fprintf(stderr, " %d", head->ichan[j]);
  fprintf(stderr, "\n");

  /* MW fields */
  fprintf(stderr, "mwnchan  = %d\n", head->mwnchan);

  fprintf(stderr, "mwfchan  =");
  for (j=0; j < head->mwnchan; j++) 
    fprintf(stderr, " %g", head->mwfchan[j]);
  fprintf(stderr, "\n");

  /* user defined fields */
  fprintf(stderr, "udef1 = %g\n",  head->udef1);
  fprintf(stderr, "udef2 = %g\n",  head->udef2);

  fprintf(stderr, "-----------------------------\n");
}

