
/* pvdefs.h  -- parameters and structures for reading HDF vdatas
 *
 */

#define MAXVNAME 64	/* longest single vdata name 		*/
#define MAXFLIST 1024	/* bound on concatenated field names	*/
#define MAXVATTR 256	/* longest single attribute 		*/

/* FLIST -- structure for reporting vdata field info
 * 
 * An FLIST is an array of records describing the fields of a
 * structure or buffered record, with one FLIST record for each
 * structure field.  fname is the field name as a string, which
 * is normally be the same as the corresponding structure field.
 * htype is the HDF data type, and order is the field size, in
 * 4-byte chunks.  The sum of the orders times 4 should equal 
 * the buffer size in bytes.  Note that this is the HDF vdata 
 * order only for 4-byte data types.
 *  
 */
struct FLIST {
  char *fname;
  int htype;
  int order;
};

/* structure for passing vdata attributes
 *
 * An ALIST is an array of records storing HDF attributes, used
 * to pass attributes to and from HDF files in a convenient way.
 * For HDF vdata, fname can be either a field name or vdata name,
 * aname is the attribute name, and atext the attribute value.
 *  
 */
struct ALIST {
  char *fname;
  char *aname;
  char *atext;
};

